Windows 7 升级 PowerShell

Windows PowerShell默认安装在每个Windows中,从Windows 7 SP1和Windows Server 2008 R2 SP1开始。不过由于版本限制可能导致某些应用程序不能正常运行,这个时候我们就要升级Windows PowerShell。

一、下载

1、下载适用于您的操作系统和架构的正确的程序包

  • x64: Windows6.1-KB2819745-x64-MultiPkg.msu
  • x86: Windows6.1-KB2819745-x86.msu

2、关闭所有 Windows PowerShell 窗口。

3、卸载其他任何 Windows Management Framework 4.0 副本,包括任何预发行副本或其他语言的副本。

二、从Windows资源管理器安装

1、导航到下载了 MSU 文件的文件夹。

2、双击 MSU 运行该文件。

三、使用命令提示符安装

1、下载了适用于您的计算机架构的正确程序包之后,用高用户权限打开命令提示符窗口(以管理员身份运行)。

2、转到下载或复制了 WMF 4.0 安装程序包的文件夹。

3、运行 Windows6.1-KB2819745-x64-MultiPkg.msu /quiet

其他有关Powershell的详细信息参见:https://docs.microsoft.com/zh-cn/powershell/scripting/powershell-scripting?view=powershell-6

weinxin
我的微信
扫一扫加我微信
琪玥

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: